cancel
Showing results for 
Search instead for 
Did you mean: 

CGI and Gallery Problems

robertbrownell
Newbie
Posts: 1
Registered: ‎19-05-2011

CGI and Gallery Problems


Gallery - gallery.menalto.com used to work and install fine using the Plusnet guide here: http://usertools.plus.net/tutorials/id/50
However, with the new restricted permissions I cannot seem to get any of them to work. Plenty of 500 errors and Gallery 3 does not seem to connect to the SQL database.
Has anyone had any success setting up Gallery in their Plusnet CGI space?
1 REPLY
Superuser
Superuser
Posts: 9,926
Thanks: 1,265
Fixes: 71
Registered: ‎06-04-2007

Re: CGI and Gallery Problems

Just had a look at Gallery3 system requirements. At first glance those for PHP look to be met but MySQL has to be 5+ and ccgi is 4.1.11. So problems with that are to be expected.
An upgrade to MySQL is being considered, though timescales are undefined and it isn't imminent.
Possibly Gallery2 would work, though I didn't spot a statement on system requirements for that version. Which version have you installed in the past? Are you trying to upgrade that?
The server 500 errors might well be permissions (chmod) related, the security model has tight requirements on what those can be. The CGI Platform PHP Upgrade FAQ provides more information.
David
David